# -*- coding: utf-8 -*-
from setuphelpers import *

# Installation procedure: https://docs.python.org/3/using/windows.html

# Declaring specific app values (TO CHANGE)
app_dir_string = makepath(programfiles32, "Python%s-32")  # Make sure to use programfiles32 for 32-Bits version and programfiles64 for 64-Bits version
whl_dir = "whl"
# Forced version :


def install():
    # Specific app values
    package_version = control.get_software_version()
    package_version_split = package_version.split(".")
    short_version = "%s%s" % (package_version_split[0], package_version_split[1])
    app_dir = app_dir_string % short_version
    install_msi_if_needed(
        glob.glob("python*.msi")[0],
        properties={"ALLUSERS": 1, "ADDLOCAL": "ALL", "TargetDir": '"%s"' % app_dir},
        min_version=package_version,
    )


def uninstall():
    # Specific app values
    package_version = control.get_software_version()
    package_version_split = package_version.split(".")
    short_version = "%s%s" % (package_version_split[0], package_version_split[1])
    app_dir = app_dir_string % short_version

    # Removing remaining files of this Python version
    try:
        if isdir(app_dir):
            print("Removing remaining folder: %s" % app_dir)
            remove_tree(app_dir)
    except:
        print("Unable to remove Python %s remaining folder: %s" % (package_version, app_dir))

    # Removing sys env variables
    remove_from_system_path(app_dir)
    remove_from_system_path(makepath(app_dir, "Scripts"))
